# Get Job By Id

Returns information about a transcription job

Endpoint: GET /jobs/{id}
Version: v1
Security: AccessToken

## Path parameters:

  - `id` (string, required)
    Rev AI API Job Id

## Response 200 fields (application/json):

  - `id` (string)
    Id of the job.
    Example: "Umx5c6F7pH7r"

  - `created_on` (string)
    The date and time the job was created in ISO-8601 UTC form.
    Example: "2018-05-05T23:23:22.29Z"

  - `completed_on` (string,null)
    The date and time the job was completed, whether successfully or failing, in ISO-8601 UTC form.
    Example: "2018-05-05T23:28:22.29Z"

  - `metadata` (string,null)
    Optional metadata that was provided during job submission.

  - `failure_detail` (string,null)
    Human-readable reason why the job failed.
    Example: "Internal server error."

  - `delete_after_seconds` (integer,null)
    Amount of time after job completion when job is auto-deleted. Present only when preference set in job request.

  - `status` (string)
    Current status of the job
    Enum: "in_progress", "transcribed", "failed"

  - `name` (string,null)
    Name of the file provided. Present when the file name is available
    Example: "sample_audio.mp3"

  - `duration_seconds` (number,null)
    Duration of the file in seconds. Null if the file could not be retrieved or there was not a valid media file
    Example: 324.36

  - `stream_duration_seconds` (number,null)
    Duration of the WebSocket stream in seconds. null if not a streaming job.
    Example: 423.34

  - `failure` (string,null)
    Simple reason of why the transcription job failed. Check failure_detail for specific details and solutions
    Enum: "internal_processing", "download_failure", "duration_exceeded", "duration_too_short", "invalid_media", "empty_media", "transcription", "insufficient_balance", "invoicing_limit_exceeded", "custom_vocabulary"

  - `type` (string)
    Type of speech recognition performed
    Enum: "async", "human_tc", "stream"

  - `media_url` (any)
    Media URL provided at job submission. Null if the job referenced a local file. Only visible if media_url was used in the submit request.

  - `skip_diarization` (boolean,null)
    User-supplied preference on whether to skip diarization.
    Example: true

  - `skip_postprocessing` (boolean,null)
    User-supplied preference on whether to skip post-processing operations such as inverse text normalization (ITN), casing and punctuation.
    Example: true

  - `skip_punctuation` (boolean,null)
    User-supplied preference on whether to skip punctuation.
    Example: true

  - `remove_disfluencies` (boolean,null)
    User-supplied preference on whether to remove disfluencies.
    Example: true

  - `remove_atmospherics` (boolean,null)
    User-supplied preference on whether to remove atmospherics.
    Example: true

  - `filter_profanity` (boolean,null)
    User-supplied preference on whether to remove explicit words.
    Example: true

  - `custom_vocabulary_id` (string,null)
    User-supplied custom vocabulary ID to be used with job for transcription.
    Example: "cvgnDwmB6iXevn"

  - `speaker_channels_count` (integer,null)
    User-supplied number of speaker channels in the audio.
    Example: 2

  - `language` (string,null)
    User-supplied language to transcribe the audio into.
    Enum: "af", "ar", "az", "be", "bg", "bs", "ca", "cmn", "cs", "cy", "da", "de", "el", "en", "en-gb", "en-us", "en/es", "es", "et", "fa", "fi", "fr", "gl", "he", "hi", "hr", "hu", "hy", "id", "is", "it", "ja", "kk", "kn", "ko", "lt", "lv", "mk", "mr", "ms", "ne", "nl", "no", "pl", "pt", "ro", "ru", "sk", "sl", "sr", "sv", "sw", "ta", "te", "th", "tl", "tr", "uk", "ur", "vi"

  - `transcriber` (string,null)
    User-supplied transcriber to transcribe the audio file.
    Enum: "machine", "human", "low_cost", "fusion"

  - `summarization` (object,null)
    Rev AI Summarization options.

  - `summarization.model` (string,null)
    Model type for summarization.
    Enum: "standard", "premium"

  - `summarization.type` (string,null)
    Summarization formatting type. Use Paragraph for a text summary or Bullets for a list of topics
    Enum: "paragraph", "bullets"

  - `summarization.status` (string)
    Enum: "in_progress", "completed", "failed"

  - `summarization.failure` (string,null)

  - `translation` (object,null)
    Rev AI Translation options.

  - `translation.target_languages` (array)

  - `translation.target_languages.language` (string)
    Target language for translation.
    Enum: "en", "en-us", "en-gb", "ar", "pt", "pt-br", "pt-pt", "fr", "fr-ca", "es", "es-es", "es-la", "it", "ja", "ko", "de", "ru"

  - `translation.target_languages.model` (string,null)
    Model type for translation.
    Enum: "standard", "premium"

  - `translation.target_languages.status` (string)
    Enum: "in_progress", "completed", "failed"

  - `translation.target_languages.failure` (string,null)

  - `callback_url` (string,null)
    Deprecated. Use notification_config instead. Optional callback url to invoke when processing is complete.
If this parameter is used to pass in the callback url, the callback url will be visible in the response.
It is recommended to provide webhooks with the notification_config parameter as authorization headers can be included
and both the callback url and auth headers will be encrypted when stored.
    Example: "https://www.example.com/callback"

## Response 401 fields (application/problem+json):

  - `title` (string)
    Short, human-readable summary of the problem type

  - `status` (integer)
    HTTP status code of the error

## Response 403 fields (application/problem+json):

  - `title` (string)
    Short, human-readable summary of the problem type

  - `type` (string)
    URI that identifies the problem

  - `status` (integer)
    HTTP status code of the error


